/*	Daniella Pokorny
	11/13/22
	CpSc 1011
	Section #7
	Lab 10A
	PPM Read:Write
 */

#include "defs.h"


int main(void){

	pixel_t *pixPtr = NULL;

	header_t header= getHeader();

	pixPtr = (pixel_t *) malloc(header.width * header.height * sizeof(pixel_t));

	fillImageArray(pixPtr, header.height, header.width);
	
	writeHeader(header);

//	writePixels(pixPtr, header.height, header.width);

	halfSizeWritePixels(pixPtr, header.height, header.width);

	return 0;
}

